Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.deployer
Class WebAppDeployer

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.deployer.WebAppDeployer

All Implemented Interfaces:
  LifeCycle

    public class WebAppDeployer

extends AbstractLifeCycle

Web Application Deployer. The class searches a directory for and deploys standard web application. At startup, the directory specified by `setWebAppDir(String)` is searched for subdirectories (excluding hidden and CVS) or files ending with ".zip" or "*.war". For each webapp discovered is passed to a new instance of `WebAppContext` (or a subclass specified by `getContexts()`. `ContextHandlerCollection.getContextClass()` This deployer does not do hot deployment or undeployment. Nor does it support per webapplication configuration. For these features see `ContextDeployer`.

See Also:
  `ContextDeployer}`

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`WebAppDeployer()`

Method Summary
`void` | `doStart()`
`void` | `doStop()`
`boolean` | `getAllowDuplicates()`
`java.lang.String[]` | `getConfigurationClasses()`
`HandlerContainer` | `getContexts()`
`java.lang.String` | `getDefaultsDescriptor()`
`java.lang.String` | `getWebAppDir()`
`boolean` | `isExtract()`
`boolean` | `isParentLoaderPriority()`
`void` | `scan()` Scan for webapplications.
`void` | `setAllowDuplicates(boolean allowDuplicates)`
`void` | `setConfigurationClasses(java.lang.String[] configurationClasses)`
`void` | `setContexts(HandlerContainer contexts)`
`void` | `setDefaultsDescriptor(java.lang.String defaultsDescriptor)`
`void` | `setExtract(boolean extract)`
`void` | `setParentLoaderPriority(boolean parentPriorityClassLoading)`
`void` | `setWebAppDir(java.lang.String dir)`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppDeployer

    public WebAppDeployer()

Method Detail

### getConfigurationClasses

    public java.lang.String[] getConfigurationClasses()

### setConfigurationClasses

    public void setConfigurationClasses(java.lang.String[] configurationClasses)

### getContexts

    public HandlerContainer getContexts()

### setContexts

    public void setContexts(HandlerContainer contexts)

### getDefaultsDescriptor

    public java.lang.String getDefaultsDescriptor()

### setDefaultsDescriptor

    public void setDefaultsDescriptor(java.lang.String defaultsDescriptor)

### isExtract

    public boolean isExtract()

### setExtract

    public void setExtract(boolean extract)

### isParentLoaderPriority

    public boolean isParentLoaderPriority()

### setParentLoaderPriority

    public void setParentLoaderPriority(boolean parentPriorityClassLoading)

### getWebAppDir

    public java.lang.String getWebAppDir()

### setWebAppDir

    public void setWebAppDir(java.lang.String dir)

### getAllowDuplicates

    public boolean getAllowDuplicates()

### setAllowDuplicates

    public void setAllowDuplicates(boolean allowDuplicates)

  Parameters:
    `allowDuplicates` - If false, do not deploy webapps that have already been deployed or duplicate context path

### doStart

    public void doStart()
                 throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### scan

    public void scan()
              throws java.lang.Exception

  Scan for webapplications.

  Throws:
    `java.lang.Exception`

### doStop

    public void doStop()
                throws java.lang.Exception

  Overrides:
    `doStop` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.